MagicWP Docs
Site Config

Get SFTP credentials

GET
/v1/sites/{site_id}/sftp

Permission: credentials.sftp

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

The result; on an error, details such as code and permission.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/sftp"
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "host": "string",    "port": 0,    "username": "string",    "password": "string",    "domain_name": "string"  }}